{{ $id := (.Get "id") }} 
{{ $height := (.Get "height" | default "410px") }}
{{ $width := (.Get "width" | default "960px") }}

<div class="image-gallery" id="{{$id}}" style="--image-gallery-width: {{ $width }}; --image-gallery-height: {{ $height }}">
    <ol class="image-gallery-slides-list">
        {{- with (.Get "dir") -}} 
            {{- $files := readDir (print "/static/" .) }} 
            {{- range $files -}} 
                {{- $absoluteUrl := print ($.Get "dir") "/" .Name | absURL }}
                <li class="image-gallery-slide" style="background-image:url({{ $absoluteUrl }});"></li>
            {{- end }} 
        {{- end }}
    </ol>
    <span class="image-gallery-left nav fa fa-chevron-left fa-3x"></span>
    <span class="image-gallery-right nav fa fa-chevron-right fa-3x"></span>
</div>
